# $Revision: 1.26 $, $Date: 2011/09/11 14:05:24 $
Summary:	Electronics schematics editor
Summary(pl.UTF-8):	Edytor schematów elektronicznych
Name:		geda-gschem
Version:	1.4.2
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://www.geda.seul.org/release/v1.4/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	02a426cb537860bdf66d7c9b91cb7e04
URL:		http://www.geda.seul.org/
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 2.2.0
BuildRequires:	gtk+2-devel >= 2:2.2.0
BuildRequires:	guile-devel >= 1.4
BuildRequires:	intltool
#BuildRequires:	libgdgeda-devel
BuildRequires:	libgeda-devel >= %{version}
BuildRequires:	libstroke-devel >= 0.4
BuildRequires:	pkgconfig
Requires:	geda-symbols >= %{version}
Requires:	libgeda >= %{version}
Obsoletes:	gschem
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gschem is an electronics schematic editor. It is part of the gEDA
project.

%description -l pl.UTF-8
Gschem to edytor schematów elektronicznych. Część projektu gEDA.

%prep
%setup -q

%build
%configure \
	--disable-update-desktop-database
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.sch	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# there is no reason to package gschem _source code_ documentation
rm -f $RPM_BUILD_ROOT%{_infodir}/gschemdoc*

mv $RPM_BUILD_ROOT%{_localedir}/{af_ZA,af}
mv $RPM_BUILD_ROOT%{_localedir}/{de_DE,de}
mv $RPM_BUILD_ROOT%{_localedir}/{es_ES,es}
mv $RPM_BUILD_ROOT%{_localedir}/{fr_FR,fr}
mv $RPM_BUILD_ROOT%{_localedir}/{it_IT,it}
mv $RPM_BUILD_ROOT%{_localedir}/{ja_JP,ja}
mv $RPM_BUILD_ROOT%{_localedir}/{nl_NL,nl}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/gEDA/bitmap
%{_datadir}/gEDA/gschem-*
%{_datadir}/gEDA/system-gschemrc
%{_datadir}/gEDA/scheme/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: geda-gschem.spec,v $
Revision 1.26  2011/09/11 14:05:24  arekm
- release 2

Revision 1.25  2009/11/30 00:30:23  sparky
- BR: gettext-devel, intltool

Revision 1.24  2008/12/25 09:33:51  qboosh
- af is valid locale

Revision 1.23  2008/12/21 15:24:25  agaran
- up to 1.4.2

Revision 1.22  2008/07/26 14:55:21  agaran
- up to 1.4.0, builds here, rel 1

Revision 1.21  2007/11/22 07:20:06  luzik
- updated to 1.2.0

Revision 1.20  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.18  2007/02/05 15:21:41  qboosh
- restored changelogs

Revision 1.17  2007/02/05 12:04:55  agaran
- fixed md5 sums

Revision 1.16  2007/02/05 12:03:14  agaran
- upgraded to 20061020 rel 0.1 (i use them), added gattrib package

Revision 1.15  2005/10/06 21:24:25  jpc
- update to 20050820

Revision 1.14  2005/04/20 12:15:17  jpc
- up to 20050313
- rel 1 (works well)

Revision 1.13  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.12  2004/05/26 09:03:34  kali
- rm ABOUT-NLS from %%doc (thx qboosh)

Revision 1.11  2004/05/25 21:23:49  kali
- updated to 20040111
- updated %%doc

Revision 1.10  2003/10/24 11:31:06  qboosh
- updated deps, added missing dir
- don't package gschem source code documantation

Revision 1.9  2003/09/16 21:49:31  pawelk
- gEDA 20030901

Revision 1.8  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.7  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/05/01 08:03:02  misiek
- fixed postun

Revision 1.4  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.3  2002/12/02 11:06:17  ankry
- massive cleaning

Revision 1.2  2002/11/27 20:15:35  juandon
- new %%doc

Revision 1.1  2002/11/12 00:45:45  misiek
- updated to 20021103 (and renamed from gschem.spec)

Revision 1.6  2002/04/25 16:30:29  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/03 20:50:15  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/03/07 22:03:59  misiek
require libstroke-devel

Revision 1.1  2001/03/07 21:57:13  misiek
new; electronic schemats editor
